package com.coydone.dao.impl;

import com.coydone.dao.TourDao;
import com.coydone.domain.City;
import com.coydone.domain.Tour;
import com.coydone.utils.JDBCUtils;
import org.apache.commons.dbutils.QueryRunner;
import org.apache.commons.dbutils.handlers.BeanHandler;
import org.apache.commons.dbutils.handlers.BeanListHandler;
import org.apache.commons.dbutils.handlers.ScalarHandler;

import java.sql.SQLException;
import java.util.List;

public class TourDaoImpl implements TourDao {
    private QueryRunner qr = new QueryRunner(JDBCUtils.getDataSource());
    @Override
    public List<Tour> findAllByLimit(Integer cityId, String min, String max, Integer pageNo,Integer pageSize) {
        //因为要显示两张表中的数据
        StringBuffer tourSql = new StringBuffer("select * from toursinfo where 1=1  ");

        if (cityId != null && !cityId.equals(0)){
            tourSql.append(" and cityId ="+cityId);
        }
        if (min != null && !min.trim().equals("")){
            tourSql.append(" and price >= "+min);
        }
        if (max != null && !max.trim().equals("")){
            tourSql.append(" and price <= "+max);
        }

        //添加分页
        tourSql.append(" limit ?,?");
        List<Tour> tours = null;
        try {
            tours = qr.query(tourSql.toString(), new BeanListHandler<Tour>(Tour.class),(pageNo-1)*pageSize,pageSize);
        } catch (SQLException e) {
            e.printStackTrace();
        }
        //把每个员工对应的部门信息查询出来
        for (Tour tour : tours) {
            String citySql = "select * from city where cityId = ?";
            City city = null;
            try {
                city = qr.query(citySql, new BeanHandler<City>(City.class), tour.getCityId());
            } catch (SQLException e) {
                e.printStackTrace();
            }
            tour.setCity(city);
        }

        return tours;
    }

    @Override
    public Integer findTotalSize(Integer cityId, String min, String max){
        StringBuffer sql = new StringBuffer("select count(0) from toursinfo where 1=1  ");
        if (cityId != null && !cityId.equals(0)){
            sql.append(" and cityId ="+cityId);
        }
        if (min != null && !min.trim().equals("")){
            sql.append(" and price >= "+min);
        }
        if (max != null && !max.trim().equals("")){
            sql.append(" and price <= "+max);
        }
        Long counts = null;
        try {
            counts = qr.query(sql.toString(), new ScalarHandler<Long>("count(0)"));
        } catch (SQLException e) {
            e.printStackTrace();
        }
        return counts.intValue();
    }

    @Override
    public Integer deleteById(Integer id) {
        String sql = " delete from toursinfo where id = ? ";
        Integer rows = null;
        try {
            rows = qr.update(sql, id);
        } catch (SQLException e) {
            e.printStackTrace();
        }
        return rows;
    }

    @Override
    public Integer add(Tour tour) {
        String sql = " insert into toursinfo(introduce,pubTime,price,cityId) values(?,?,?,?) ";
        Integer rows  = null;
        try {
            rows = qr.update(sql, tour.getIntroduce(),tour.getPubTime(),tour.getPrice(),tour.getCityId());
        } catch (SQLException e) {
            e.printStackTrace();
        }
        return rows;
    }

    @Override
    public Integer updateById(Tour tour) {
        String sql = " update toursinfo set introduce = ?,pubTime = ?,price = ?,cityId = ? where id = ?";
        Integer rows = null;
        try {
            rows = qr.update(sql,tour.getIntroduce(),tour.getPubTime(),tour.getPrice(),tour.getCityId(),tour.getId());
        } catch (SQLException e) {
            e.printStackTrace();
        }
        return rows;
    }

    @Override
    public Tour findById(Integer id) {
        String sql = " select * from toursinfo where id = ? ";
        Tour tour = null;
        try {
            tour = qr.query(sql, new BeanHandler<>(Tour.class), id);
        } catch (SQLException e) {
            e.printStackTrace();
        }
        String citysql = "select * from city where cityId ="+tour.getCityId();
        City city = null;
        try {
            city = qr.query(citysql, new BeanHandler<>(City.class));
        } catch (SQLException e) {
            e.printStackTrace();
        }
        tour.setCity(city);
        return tour;
    }
}
