package com.coydone.service.impl;

import com.coydone.dao.TourDao;
import com.coydone.dao.impl.TourDaoImpl;
import com.coydone.domain.Tour;
import com.coydone.service.TourService;
import com.coydone.utils.PageUtils;

import java.util.List;

public class TourServiceImpl implements TourService {
    private TourDao tourDao = new TourDaoImpl();
    @Override
    public PageUtils<Tour> findAllByLimit(Integer cityId, String min, String max, Integer pageNo) {
        //将查询结果封装到PageUtils中
        PageUtils<Tour> page = new PageUtils<>();
        // 设置每页显示的数量
        page.setPageSize(PageUtils.PAGE_SIZE);
        // 求总记录数
        Integer totalSize = tourDao.findTotalSize(cityId,min,max);
        // 设置总记录数
        page.setTotalSize(totalSize);
        // 求总页码
        Integer pageTotal = totalSize / PageUtils.PAGE_SIZE;
        if (totalSize % PageUtils.PAGE_SIZE > 0) {
            pageTotal+=1;
        }
        // 设置总页码
        page.setPageTotal(pageTotal);

        // 设置当前页码
        page.setPageNo(pageNo);

        // 求当前页数据
        List<Tour> items = tourDao.findAllByLimit(cityId,min,max,pageNo,PageUtils.PAGE_SIZE);
        // 设置当前页数据
        page.setItems(items);
        return page;

    }

    @Override
    public Integer findTotalSize(Integer cityId, String min, String max) {
        return tourDao.findTotalSize(cityId,min,max);
    }

    @Override
    public Integer deleteById(Integer id) {
        return tourDao.deleteById(id);
    }

    @Override
    public Integer add(Tour tour) {
        return tourDao.add(tour);
    }

    @Override
    public Integer updateById(Tour tour) {
        return tourDao.updateById(tour);
    }

    @Override
    public Tour findById(Integer id) {
        return tourDao.findById(id);
    }
}
