<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head>
    <meta charset="UTF-8">
    <title>旅游景点信息列表</title>
    <style type="text/css">
        h1{text-align: center;}
        table{margin: 100px auto;text-align: center;}
    </style>
</head>
<body>
<div id="header">
    <h1>旅游景点信息列表</h1>
</div>
<div id="main">
    <table border="" cellspacing="" cellpadding="">
        <tr>
            <td colspan="8">
                <form action="${pageContext.request.contextPath}/tour" method="post" id="search">
                    <input type="hidden" name="action" value="list">
                    <!--首次查询默认第一页，每页显示五条数据--->
                    <input type="hidden" name="pageNo" value="1" id="pageNo">

                    城市名称：<select name="cityId" id="">
                    <option value="0">全部</option>
                    <c:forEach var="city" items="${sessionScope.cities}">
                        <%--下拉框的回显就是把之前选择的改为默认显示 selected--%>
                        <option value="${city.cityId}"
                                <c:if test="${city.cityId == requestScope.cityId}">selected</c:if>
                        >${city.cityName}</option>
                    </c:forEach>
                </select>
                    价格区间：<input type="text" name="min" value="${requestScope.min}"/>--<input type="text" name="max" value="${requestScope.max}"/>
                    <input type="submit" value="查询"/>
                </form>
                <a href="${pageContext.request.contextPath}/add.jsp">发布景点信息</a>

            </td>
        </tr>
        <tr>
            <th>景点编号</th>
            <th>景点介绍</th>
            <th>发布时间</th>
            <th>票价</th>
            <th>城市名称</th>
            <th>操作</th>
        </tr>
        <c:if test="${not empty requestScope.pages.items}">
            <c:forEach items="${requestScope.pages.items}" var="tour">
            <tr>
                <td>${tour.id}</td>
                <td>${tour.introduce}</td>
                <td>${tour.pubTime}</td>
                <td>${tour.price}</td>
                <td>${tour.city.cityName}</td>
                <td>
                    <a href="${pageContext.request.contextPath}/tour?action=delete&id=${tour.id}">删除</a>
                    <a href="${pageContext.request.contextPath}/tour?action=view&id=${tour.id}">详细</a>
                    <a href="${pageContext.request.contextPath}/tour?action=toUpdate&id=${tour.id}">修改</a>
                </td>
            </tr>

            </c:forEach>
        </c:if>
        <tr>
            <td colspan="6">
            <form id="changePage" action="${pageContext.request.contextPath}/tour" method="post">
                <input type="hidden" name="action" value="list">
                    <a href="javascript:searchPage(1)">首页</a>
                    <a href="javascript:searchPage(${requestScope.pages.pageNo - 1})">上一页</a>
                    <a href="javascript:searchPage(${requestScope.pages.pageNo + 1})">下一页</a>
                    <a href="javascript:searchPage(${requestScope.pages.pageTotal})">尾页</a>
                    第${requestScope.pages.pageNo}页/共${requestScope.pages.pageTotal}页
            </td>
            </form>
        </tr>
    </table>

</div>
<div id="footer"></div>
<script>
    function searchPage(pageNo){
        var pageInput = document.getElementById("pageNo");
        pageInput.value = pageNo;
        //提交表单
        document.getElementById("search").submit();
    }
</script>
</body>
</html>

